commit 2f2567780dbf5cb95136b3434834c5e9ad3f7cbe
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Tue Feb 21 00:19:52 2023 +0000

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index 898a4ea9b73..2cccdb98975 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,12 @@
+2023-02-20  Alex Coplan  <alex.coplan@arm.com>
+
+	Backported from master:
+	2023-02-06  Alex Coplan  <alex.coplan@arm.com>
+
+	PR target/104921
+	* config/aarch64/aarch64-simd.md (aarch64_bfmlal<bt>_lane<q>v4sf):
+	Use correct constraint for operand 3.
+
 2023-02-13  Kewen Lin  <linkw@linux.ibm.com>
 
 	Backported from master:
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 09ddb49ab8a..6d7db2787db 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230220
+20230221
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index c67e1882551..199b360fef5 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,13 @@
+2023-02-20  Alex Coplan  <alex.coplan@arm.com>
+
+	Backported from master:
+	2023-02-06  Alex Coplan  <alex.coplan@arm.com>
+
+	PR target/104921
+	* gcc.target/aarch64/pr104921-1.c: New test.
+	* gcc.target/aarch64/pr104921-2.c: New test.
+	* gcc.target/aarch64/pr104921.x: Include file for new tests.
+
 2023-02-13  Kewen Lin  <linkw@linux.ibm.com>
 
 	Backported from master:
diff --git a/libgcc/ChangeLog b/libgcc/ChangeLog
index a49027e43b6..fa16074a85e 100644
--- a/libgcc/ChangeLog
+++ b/libgcc/ChangeLog
@@ -1,3 +1,22 @@
+2023-02-20  Nelson Chu  <nelson.chu@sifive.com>
+
+	Backported from master:
+	2021-12-06  Nelson Chu  <nelson.chu@sifive.com>
+
+	PR target/108339
+	* config/riscv/div.S: Add the hidden alias symbol for __udivdi3, and
+	then use HIDDEN_JUMPTARGET to target it since it is non-preemptible.
+	* config/riscv/riscv-asm.h: Added new macros HIDDEN_JUMPTARGET and
+	HIDDEN_DEF.
+
+2023-02-20  Jim Wilson  <jimw@sifive.com>
+
+	Backported from master:
+	2020-06-02  Jim Wilson  <jimw@sifive.com>
+
+	* config/riscv/div.S (__divdi3): For negative arguments, change bgez
+	to bgtz.
+
 2022-06-28  Release Manager
 
 	* GCC 10.4.0 released.

